﻿namespace InputValidationTesting.Helper {
    using System.Collections;

    public class EnsureOneElementAttribute : ValidationBaseAttribute {

        public override bool IsValid(object value) {
            if (!(value is IList)) {
                return true;
            }
            return ((IList)value).Count > 0;
        }

    }
}